package m05bClasses.m05bDokusi.exceptions;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;


public class m05bDokusiServiceException extends Exception implements Serializable {

	private static final long serialVersionUID = 1L;

	private List erroresControlados = null;

	public List getErroresControlados() {
		return this.erroresControlados;
	}

	public void setErroresControlados(List erroresControlados) {
		this.erroresControlados = erroresControlados;
	}

	protected Throwable cause;

	public Throwable getCause() {
		return this.cause;
	}

	public m05bDokusiServiceException() {
		super();
	}

	public m05bDokusiServiceException(Throwable cause) {
		super(cause);
	}

	public m05bDokusiServiceException(String message) {
		super(message);
	}

	public m05bDokusiServiceException(String message, Throwable cause) {
		super(message);
		this.cause = cause;
	}

	public m05bDokusiServiceException(String message, List errores) {
		super(message);
		this.setErroresControlados(errores);
	}

	public m05bDokusiServiceException(String message, String keyError) {
		super(message);
		this.erroresControlados = new ArrayList();
		this.erroresControlados.add(keyError);
	}

	public m05bDokusiServiceException(List errores) {
		super("m05bDokusiException");
		this.setErroresControlados(errores);
	}
}